Subject: [CCAMP] WG last call on draft-ietf-ccamp-alarm-module-05

From: Daniele Ceccarelli <[email-masked]>
Date: Wed, 7 Nov 2018 11:17:54 +0000

Working group,

Thanks to the fast IPR replies from the authors we're ready to start a two weeks working group last call on draft-ietf-ccamp-alarm-module-05.
The last call ends on Wednesday November 21st . Please send you comments to the CCAMP mailing list.
Also comments along the lines of "I've reviewed the draft and believe it's ready for publication" are valuable.

Authors, please threat pending comments as part of the last call ones.

All the IPR declarations from authors and contributors have been collected and can be found in the history of the document: https://datatracker.ietf.org/doc/draft-ietf-ccamp-alarm-module/history/
Please note that no IPR has been disclosed against the document.

Thanks,
Daniele, Fatai, Oscar

---

From: Daniele Ceccarelli <[email-masked]>
Date: Wed, 21 Nov 2018 14:32:07 +0000

Working group,

The last call is now concluded. I take the lack of comments as a "we already
discussed a lot this draft during its life as WG document" and hence proceed
with the request for publication.

Even if among the authors we have a huge level of competence in YANG
modelling we'll request for a YANG doctors review as a pair of fresh eyes is
in any case helpful.

Thanks,

Daniele  

From: CCAMP <[email-masked]> On Behalf Of Daniele Ceccarelli
Sent: den 7 november 2018 12:18
To: CCAMP ([email-masked]) <[email-masked]>
Subject: [CCAMP] WG last call on draft-ietf-ccamp-alarm-module-05

Working group,

Thanks to the fast IPR replies from the authors we're ready to start a two
weeks working group last call on draft-ietf-ccamp-alarm-module-05.

The last call ends on Wednesday November 21st . Please send you comments to
the CCAMP mailing list.

Also comments along the lines of "I've reviewed the draft and believe it's
ready for publication" are valuable. 

All the IPR declarations from authors and contributors have been collected
and can be found in the history of the document:
https://datatracker.ietf.org/doc/draft-ietf-ccamp-alarm-module/history/

 

Thanks,

Daniele, Fatai, Oscar

---

From: Martin Bjorklund <[email-masked]>
Date: Wed, 21 Nov 2018 15:57:57 +0100 (CET)

Hi,

We will publish an updated version of the document with Balazs' WGLC
comments addressed (today or tomorrow).

/martin

---

From: Daniele Ceccarelli <[email-masked]>
Date: Wed, 21 Nov 2018 15:02:30 +0000

Thanks Martin!

I've requested the YANG doctor review for version 05, I'll update the
requrest to 06.

Daniele  

-----Original Message-----
From: Martin Bjorklund <[email-masked]> 
Sent: den 21 november 2018 15:58
To: Daniele Ceccarelli <[email-masked]>
Cc: [email-masked]
Subject: Re: [CCAMP] WG last call on draft-ietf-ccamp-alarm-module-05

Hi,

/martin

Daniele Ceccarelli <[email-masked]> wrote:
> Working group,
> 
>  
> 
> The last call is now concluded. I take the lack of comments as a "we 
> already discussed a lot this draft during its life as WG document" and 
> hence proceed with the request for publication.
> 
> modelling we'll request for a YANG doctors review as a pair of fresh 
> eyes is in any case helpful.
> 
>  
> 
> Thanks,
> 
> Daniele
> 
>  
> 
> Thanks to the fast IPR replies from the authors we're ready to start a 
> two weeks working group last call on draft-ietf-ccamp-alarm-module-05.
> 
> Also comments along the lines of "I've reviewed the draft and believe 
> it's ready for publication" are valuable.
> 
>  
> 
> All the IPR declarations from authors and contributors have been 
> collected and can be found in the history of the document:

---

From: tom petch <[email-masked]>
Date: Wed, 21 Nov 2018 16:20:07 +0000

Daniele

Some non-technical comments

IANA Considerations seems not to register ietf-alarms-x733

X.721 is referenced in the module but not in I-D References

YANG module quotes RFC2119 but not RFC8174

Dates in examples are 2015 - 2018 might give a better impression

Tom Petch

----- Original Message -----
From: "Daniele Ceccarelli" <[email-masked]>
To: "Daniele Ceccarelli" <[email-masked]>;
<[email-masked]>
Sent: Wednesday, November 21, 2018 2:32 PM

> The last call is now concluded. I take the lack of comments as a "we
already
> modelling we'll request for a YANG doctors review as a pair of fresh
eyes is
> Thanks to the fast IPR replies from the authors we're ready to start a
two
> Also comments along the lines of "I've reviewed the draft and believe
it's
> All the IPR declarations from authors and contributors have been
collected
> Please note that no IPR has been disclosed against the document.

------------------------------------------------------------------------
--------

> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp
>

---

From: Martin Bjorklund <[email-masked]>
Date: Thu, 22 Nov 2018 08:51:45 +0100 (CET)

Hi,

> I've requested the YANG doctor review for version 05, I'll update the

Thanks.  06 is now posted.

/martin

---

From: Martin Bjorklund <[email-masked]>
Date: Thu, 22 Nov 2018 08:52:16 +0100 (CET)

Hi,

Thanks for catching these, all addressed in -06.

/martin

---

From: tom petch <[email-masked]>
Date: Thu, 22 Nov 2018 16:06:49 +0000

----- Original Message -----
From: "Martin Bjorklund" <[email-masked]>
Sent: Thursday, November 22, 2018 7:52 AM
> Thanks for catching these, all addressed in -06.

Martin

That was quick!

But ...
-05 had
"        in RFC 2119 (https://tools.ietf.org/html/rfc2119)."
which looked like plain text which is right for a YANG module
-06 has
"       as described in BCP 14 [RFC 2119] [RFC8174] when "
which looks like XML/HTML and not plain text, which is not right for a
YANG module.

My other points are addressed.

Tom Petch

> > > discussed a lot this draft during its life as WG document" and
hence
> > proceed

---

From: Martin Bjorklund <[email-masked]>
Date: Thu, 22 Nov 2018 17:14:13 +0100 (CET)

> which looks like XML/HTML and not plain text, which is not right for a

Hmm, RFC 8366 has:

     described in BCP 14 (RFC 2119) (RFC 8174) when, and only when, they

in the YANG module.

ieft-schema-mount currently has 

     described in BCP 14 [RFC 2119] [RFC 8174] when, and only when, they

... but has not yet reached the RFC editor.

I suggest that I bring this up with the RFC editor for
ieft-schema-mount, and use whatever they suggest for ieft-schema-mount
also in this document.

/martin